
ctools - Action #356

Feature # 353 (Closed): ctobssim: Parallelize event simulations

Implement maximum number of threads as user parameter.

07/20/2012 10:42 PM - Knödlseder Jürgen

Status: Closed Start date: 07/30/2012

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 16.00 hours

Target version: 00-05-00   

Description

Ideally, the maximum number of thread used by ctobssim should be a hidden user parameter, so that a user can start ctobssim from

the command line with something like

$ ctobssim threads=10

and the simulation will then run on 10 cores in parallel.

This requires that the maximum number of threads can be controlled from within the code.

By default we should set this parameter to 0, and in this case the automatic method of openmp should be used to determine how

many cores are available.

History

#1 - 07/20/2012 11:11 PM - Knödlseder Jürgen

- Description updated

#2 - 07/30/2012 03:15 PM - Anonymous

- Status changed from New to Resolved

- Start date set to 07/30/2012

- % Done changed from 0 to 100

OpenMP use environment variables, we can easily choose the number of thread by setting the OMP_NUM_THREADS variable.

export OMP_NUM_THREADS=10

ctobssim

 

By default, the number of threads is the number of cores.

#3 - 09/14/2012 11:49 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed

- Remaining (hours) changed from 16.0 to 0.0
